#
# spec file for package purple-rocketchat
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name   rocketchat
Name:           purple-rocketchat
Version:        0.0+hg20200403
Release:        lp152.1.1
Summary:        RocketChat protocol plugin for libpurple
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Instant Messenger
URL:            https://bitbucket.org/EionRobb/purple-rocketchat
Source:         %{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libmarkdown)
BuildRequires:  pkgconfig(purple)

%description
RocketChat protocol plugin for libpurple-based applications.

%package -n libpurple-plugin-%{_name}
Summary:        RocketChat protocol plugin for libpurple
Group:          Productivity/Networking/Instant Messenger
Enhances:       libpurple

%description -n libpurple-plugin-%{_name}
RocketChat protocol plugin for libpurple-based applications.

%package -n pidgin-plugin-%{_name}
Summary:        RocketChat protocol plugin for Pidgin
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple-plugin-%{_name} = %{version}
%requires_ge    pidgin
Supplements:    packageand(libpurple-plugin-%{_name}:pidgin)
BuildArch:      noarch

%description -n pidgin-plugin-%{_name}
RocketChat protocol plugin for libpurple-based applications.

This package provides the icon set for Pidgin.

%prep
%setup -q

%build
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%files -n libpurple-plugin-%{_name}
%license LICENSE
%doc README.md
%{_libdir}/purple-2/lib%{_name}.so

%files -n pidgin-plugin-%{_name}
%dir %{_datadir}/pixmaps/pidgin/
%dir %{_datadir}/pixmaps/pidgin/protocols/
%dir %{_datadir}/pixmaps/pidgin/protocols/*/
%{_datadir}/pixmaps/pidgin/protocols/*/%{_name}.*

%changelog
* Thu Apr 16 2020 Matej Cepl <mcepl@suse.com>
- Update to version 0.0+hg20200403 (changes since 0.0+hg20190218):
  * 800ef89: Attempt to fetch user statuses at login. Not quite working yet though
  * f723268: Subscribe to status changes to help issue #61
  * 284839c: Use 'hg' instead of 'git' for PLUGIN_VERSION.
* Tue Mar  5 2019 sor.alexei@meowr.ru
- Update to version 0.0+hg20190218 (changes since 0.0+hg20181203):
  * Add some additional null checks to fix segfault when adding new
    rocketchat server.
  * librocketchat: Avoid NULL pointer assertions.
  * librocketchat: Remove unneded call for group creation.
  * librocketchat: Add default group configuration.
  * Disconnect the account if the SSL cert was invalid.
  * Fix for segfault when trying to remove an invalid username from
    storage.
* Thu Dec  6 2018 sor.alexei@meowr.ru
- Update to version 0.0+hg20181203 (changes since 0.0+hg20180817):
  * Attempt to add support for "Personal Access Token"s.
  * Add support for server path.
  * Prevent server path from being NULL, fix default path.
  * Fix for messages from unknown channels appearing as one-to-one
    IM's.
  * Further tweaks to the unknown channels.
* Sat Aug 18 2018 sor.alexei@meowr.ru
- Update to version 0.0+hg20180817:
  * Allow to override build date with SOURCE_DATE_EPOCH.
* Thu Jul 12 2018 fcrozat@suse.com
- Update to version 0.0+hg20170806:
  * initial support for 2FA.
* Thu Mar 15 2018 sor.alexei@meowr.ru
- Update to version 0.0+hg20170806 (changes since 0.0+hg20170430):
  * Fix homepage.
  * Handle change in the 'getUsersOfRoom' API.
  * Don't explode when we can't create a DM for a non-existent
    user.
- Split Pidgin's pixmaps into the pidgin-plugin-rocketchat package.
* Sun May 28 2017 tbechtold@suse.com
- Initial packaging
